Bug 64642 - User added during install cannot login through SSH
User added during install cannot login through SSH
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-08 19:08 EDT by jrimmer
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 08:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jrimmer 2002-05-08 19:08:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0+)
Gecko/20020508

Description of problem:
Users added during install, via Anaconda GUI, cannot login via SSH with the
syslog error "authentication failure; logname=
 uid=0 euid=0 tty=NODEVssh ruser= rhost=192.168.1.1  user=foobar".  Root does work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install via GUI adding a user (root + another)
2. After install completes, connect with the non-root user via SSH
3. Note that you are denied access

After connecting with root any user added with "adduser <username>" and "passwd
<username>" works fine.
	

Actual Results:  Denied access

Expected Results:  Successful login

Additional info:
Comment 1 Need Real Name 2002-05-10 14:15:36 EDT
I can also verify this behavior.  I created a user (piller) during install
process and also have trouble connecting remotely via ssh.  I am running RH7.3
on a laptop and RH7.2 on a desktop, network connection is ethernet and hub.
RH7.3 is custom install with "install everything" selected. 

Pinging always works, ssh sometimes works.

Perhaps the following will help. I found that if I wait for awhile, and then try
to ssh into the laptop from the desktop, it may not work, I may get the following:

     [piller@pc45488 docs]$ ssh XXX.91.227.228
     Read from socket failed: Connection reset by peer
     [piller@pc45488 docs]$ ssh XXX.91.227.228
     Read from socket failed: Connection reset by peer
     [piller@pc45488 docs]$ ssh XXX.91.227.228
     ssh: connect to address XXX.91.227.228 port 22: Connection refused
     [piller@pc45488 docs]$ ssh XXX.91.227.228
     ssh: connect to address XXX.91.227.228 port 22: Connection refused
     [piller@pc45488 docs]$ ssh XXX.91.227.228
     ...
     ...   keep hitting up arrow, enter, keep trying a few more times
     ...   try a few ssh -lpiller, or ssh -lroot, or ssh -l piller
     ...   and so on, then finally
     ...
     [piller@pc45488 docs]$ ssh -l root XXX.91.227.228
     ssh: connect to address XXX.91.227.228 port 22: Connection refused
     [piller@pc45488 docs]$ ssh -l root XXX.91.227.228
     ssh: connect to address XXX.91.227.228 port 22: Connection refused
     [piller@pc45488 docs]$ ssh -l root XXX.91.227.228
     ssh: connect to address XXX.91.227.228 port 22: Connection refused
     [piller@pc45488 docs]$ ssh -l piller XXX.91.227.228
     piller@XXX.91.227.228's password: 
     Last login: Fri May 10 16:41:55 2002 from pc45488.XXX.XXX

And then it starts to work again.  During this entire time I did not touch the
laptop running RH7.3, I only kept trying to ssh into it from my desktop.  
Then, I ssh'd in and out of the box several times, everything OK.  Then I exited
my ssh session and waited several minutes as I wrote this comment.  I then tried
to ssh back in again and it did not work.  I hit up arrow key and enter about 50
times, no luck.  I tried to ping the box and that does work.  I then kept trying
to ssh into the box, finally, after a couple of minutes it worked!  It asked me
for my password and let me in.  Strange!
Comment 2 Terry Griffin 2002-05-28 01:18:42 EDT
I'm seeing a very similar problem. I have a laptop I upgraded from 7.2 to 7.3.
No new accounts were created. When I try to ssh from the laptop to the server
(running 7.2) I get a connection timeout. However, if I first su to
root on the laptop and then ssh -l to my account on the server, it works fine.
Comment 3 Brian Brock 2002-07-02 13:45:13 EDT
what does `getent passwd $USER` (where $USER is replaced with the login created
during install) report?

Also, just to be clear, which versions of openssh are installed?
Comment 4 Tomas Mraz 2005-02-03 08:44:20 EST
No response from reporter.

Note You need to log in before you can comment on or make changes to this bug.